package com.benyun.core.service;

import com.benyun.core.entity.bo.BusinessOpportunitiesClueBo;
import com.benyun.core.entity.bo.FollowUpRecordBo;
import com.benyun.core.entity.vo.AddFollowRecordVo;
import com.benyun.core.entity.vo.WorkTableSearchVo;
import com.github.pagehelper.PageInfo;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
public class BusinessOpportunitiesServiceImplTest {
    @Autowired
    BusinessOpportunitiesService businessOpportunitiesService;

    @Test
    public void searchListTest(){
        WorkTableSearchVo vo = new WorkTableSearchVo();
        vo.setText("1");
        PageInfo<List<BusinessOpportunitiesClueBo>> info = businessOpportunitiesService.searchList(vo, null);
        System.out.println(info);
    }

    @Test
    public void searchFollowListTest(){
        WorkTableSearchVo vo = new WorkTableSearchVo();
        vo.setText("1");
        vo.setClueId("2");
        PageInfo<List<FollowUpRecordBo>> info = businessOpportunitiesService.searchFollowList(vo, null);
        System.out.println(info);
    }

    @Test
    public void addFollowTest(){
        AddFollowRecordVo vo = new AddFollowRecordVo();
        vo.setClueId("2");
        vo.setContent("xxx");
        vo.setPerson("李");
        vo.setWay("线上电话");
        System.out.println(businessOpportunitiesService.addFollow(vo, null));
    }
}
